(function() {	
	 {
		initCountdown();
	}

	function initCountdown(countdown) {
		document.querySelectorAll('.countdown').forEach(el => makeCountdown(el));
	}

	function makeCountdown(countdownel) {
		// add style file
		// var countdown = document.getElementById('countdown');
		var target = countdownel.getAttribute('data-target');
		var target_date = new Date(target).getTime(target);
		var days, hours, minutes, seconds; // variables for time units

		var countdown = countdownel.querySelector(".tiles"); // get tag element


		var countdownInterval = setInterval(function () { getCountdown(); }, 1000);

		getCountdown();

		function getCountdown(){

			// find the amount of "seconds" between now and target
			var current_date = new Date().getTime();
			var seconds_left = (target_date - current_date) / 1000;

			if (seconds_left <= 0) return expireCountdown();

			days = pad( parseInt(seconds_left / 86400) );
			seconds_left = seconds_left % 86400;
				 
			hours = pad( parseInt(seconds_left / 3600) );
			seconds_left = seconds_left % 3600;
				  
			minutes = pad( parseInt(seconds_left / 60) );
			seconds = pad( parseInt( seconds_left % 60 ) );

			// format countdown string + set tag value
			countdown.innerHTML = "<span>" + days + "</span><span>" + hours + "</span><span>" + minutes + "</span><span>" + seconds + "</span>"; 
		}

		function pad(n) {
			return (n < 10 ? '0' : '') + n;
		}

		function expireCountdown() {
			countdown.innerHTML = "<span>00</span><span>00</span><span>00</span><span>00</span>"; 	
			clearInterval(countdownInterval);
			countdownInterval = 0;
			return null;
		}

	}



})();
