<?php
/*------------------------------------------------------------------------
# mod_mx_countdown Extension
# ------------------------------------------------------------------------
# author    mixwebtemplates
# copyright Copyright (C) 2020 mixwebtemplates.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.mixwebtemplates.com
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
define( 'DS', DIRECTORY_SEPARATOR );
}

$document = JFactory::getDocument(); 
$headData = $document->getHeadData();
$scripts = $headData['scripts'];
unset($scripts[JUri::root(true) . '/media/jui/js/jquery-noconflict.js']);
$headData['scripts'] = $scripts;
$document->setHeadData($headData);
$cacheFolder = JURI::base(true).'/cache/';
$modID = $module->id;
$modPath = JURI::base(true).'/modules/mod_mx_countdown/';
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$loadjquery = $params->get('loadjquery');

$main_text	= $params->get('main_text');
$bor_rad	= $params->get('bor_rad');
$cnd_color	= $params->get('cnd_color');
$cndt_color	= $params->get('cndt_color');
$get_padd = $params->get('get_padd');
$get_width = $params->get('get_width');
$bgr_color = $params->get('bgr_color');
$get_color = $params->get('get_color');
$ju_year	= $params->get('ju_year');
$ju_month	= $params->get('ju_month');
$ju_day 	= $params->get('ju_day');
$jUhour	= $params->get('hour');
$jUminute	= $params->get('minute');
$jUsecond	= $params->get('second');
$jUdaysL	= $params->get('daysLang', 'Days');
$jUhoursL	= $params->get('hoursLang', 'Hours');
$jUminutesL= $params->get('minutesLang', 'Min');
$jUsecondsL= $params->get('secondsLang', 'Sec');
$jUtbmargin= $params->get('tbmargin', '0px');
$jUlrmargin= $params->get('lrmargin', '0px');
$jUposition= $params->get('position');
$jUdirection	= $params->get('direction');
$jUcursor  = $params->get('cursor');

if($jUdirection == '1' OR $jUdirection == '2'){
$jUtopbottom	= 'top';
}else{
$jUtopbottom	= 'bottom';
}

if($jUdirection == '1' OR $jUdirection == '3'){
$jUleftright	= 'left';
}else{
$jUleftright	= 'right';
}

if($jUposition == '1'){ //Normal
$jUposition	= '';
}else if($jUposition == '2'){ //Fixed
$jUposition	= 'fixed';
}else { //Scrollable
$jUposition	= 'absolute';
}

if($jUposition != ''){ //not Normal
$jUstyle	= "cursor:".$jUcursor.";" .
"position:".$jUposition.";" .
$jUtopbottom.":".$jUtbmargin."; " .
$jUleftright.":".$jUlrmargin."; " .
"text-decoration:none;" .
"z-index:100000;";		
$jUstyle2  = "";
} else {
$jUstyle	= "text-decoration:none;width:100%;" .
"cursor:".$jUcursor.";";
$jUstyle2  = " width:50%; margin: 0 auto; ";
}


if($loadjquery == 2) $document->addScript($modPath.'assets/js/jquery.min.js');
$document->addScript($modPath.'assets/js/countdown.js');
$document->addStyleSheet($modPath.'assets/css/countdown.css');
$document->addStyleDeclaration('.countdown .tiles > span{ background:'.$params->get('cnd_color').';color:'.$params->get('cndt_color').'; }  .countdown  {  } .ju_countdown { width:'.$params->get('get_width').';border-radius: '.$params->get('bor_rad').'; padding:'.$params->get('get_padd').'; color:'.$params->get('get_color').'; background-color: '.$params->get('bgr_color').'; }'); 

?>

<div class="ju_countdown row justify-content-center align-items-center" style="<?php echo $jUstyle; ?>">
<div class="col-sm-auto">
<?php echo $main_text; ?>
</div>
<div class="col-sm-auto">
<div id="countdown"></div>
<p id="note"></p>
</div>
</div>
<?php if($params->get('loadjquery')== 1): ?> 
<script src="<?php echo $modPath ?>assets/js/jquery.min.js" type="text/javascript"></script>
<?php endif; ?>
<script>
$(function(){
	
	var note = $('#note'),
		ts = new Date(<?php echo $ju_year; ?>, <?php echo $ju_month; ?>, <?php echo $ju_day; ?>),
		newYear = true;
	
	if((new Date()) > ts){
		// The new year is here! Count towards something else.
		// Notice the *1000 at the end - time must be in milliseconds
		ts = (new Date()).getTime() + 10*24*60*60*1000;
		newYear = false;
	}
		
	$('#countdown').countdown({
		timestamp	: ts,
		callback	: function(days, hours, minutes, seconds){
			
			var message = "";
			
			message += days + " day" + ( days==1 ? '':'s' ) + ", ";
			message += hours + " hour" + ( hours==1 ? '':'s' ) + ", ";
			message += minutes + " minute" + ( minutes==1 ? '':'s' ) + " and ";
			message += seconds + " second" + ( seconds==1 ? '':'s' ) + " <br />";
			
			note.html(message);
		}
	});
	
});
</script>